Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlabad

    java.lang.Object
      org.netlib.lapack.Dlabad

    public class Dlabad

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLABAD takes as input the values computed by DLAMCH for underflow and
     *  overflow, and returns the square root of each of these values if the

     *  log of LARGE is sufficiently large.  This subroutine is intended to
     *  identify machines with a large exponent range, such as the Crays, and
     *  redefine the underflow and overflow limits to be the square roots of

     *  the values computed by DLAMCH.  This subroutine is needed because
     *  DLAMCH does not compensate for poor arithmetic in the upper half of
     *  the exponent range, as is found on a Cray.
     *
     *  Arguments
     *  =========
     *
     *  SMALL   (input/output) DOUBLE PRECISION
     *          On entry, the underflow threshold as computed by DLAMCH.
     *          On exit, if LOG10(LARGE) is sufficiently large, the square
     *          root of SMALL, otherwise unchanged.
     *
     *  LARGE   (input/output) DOUBLE PRECISION
     *          On entry, the overflow threshold as computed by DLAMCH.
     *          On exit, if LOG10(LARGE) is sufficiently large, the square
     *          root of LARGE, otherwise unchanged.
     *
     *  =====================================================================
     *
     *     .. Intrinsic Functions ..

Constructor Summary
`Dlabad()`

Method Summary
`static void` | `dlabad(doubleW small, doubleW large)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlabad

    public Dlabad()

Method Detail

### dlabad

    public static void dlabad(doubleW small,
                              doubleW large)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD